#[macro_export]
macro_rules! into {
    ($struct:ident { $($field:ident : $value:expr),* $(,)? }) => {
        $struct {
            $(
                $field: $value.into(),
            )*
        }
    };
}

struct SomeStruct {
    first_name: String,
    last_name: String,
    age: usize,
}

pub fn main() {
    let last_name: String = "Last".to_string();
    let age: usize = 30;

    let x = into!(SomeStruct {
        first_name: "First",
        last_name: last_name,
        age: age,
    });
}

// see cargo expand to see how this function changes all struct inits to .into().
// see also strinto, if you think "Why could it not be done in a macro as condition?"
